DocData (Lucene 10.5.1 benchmark API)
Description: declaration: package: org.apache.lucene.benchmark.byTask.feeds, class: DocData

Package org.apache.lucene.benchmark.byTask.feeds

# Class DocData

java.lang.Object
org.apache.lucene.benchmark.byTask.feeds.DocData

public class DocData extends Object
Output of parsing (e.g. HTML parsing) of an input document.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `String`
  `getBody()`
  `String`
  `getDate()`
  `int`
  `getID()`
  `String`
  `getName()`
  `Properties`
  `getProps()`
  `String`
  `getTitle()`
  `void`
  `setBody(String body)`
  `void`
  `setDate(String date)`
  `void`
  `setDate(Date date)`
  `void`
  `setID(int id)`
  `void`
  `setName(String name)`
  `void`
  `setProps(Properties props)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocData

    public DocData()

- ## Method Details

  - ### clear

    public void clear()

  - ### getBody

    public String getBody()

  - ### getDate

    public String getDate()
    Returns:
      the date. If the ctor with Date was called, then the String returned is the output of `DateTools.dateToString(Date, org.apache.lucene.document.DateTools.Resolution)` . Otherwise it's the String passed to the other ctor.

  - ### getName

    public String getName()

  - ### getID

    public int getID()

  - ### getProps

    public Properties getProps()

  - ### getTitle

    public String getTitle()

  - ### setBody

    public void setBody(String body)

  - ### setDate

    public void setDate(Date date)

  - ### setDate

    public void setDate(String date)

  - ### setName

    public void setName(String name)

  - ### setID

    public void setID(int id)

  - ### setProps

    public void setProps(Properties props)

  - ### setTitle

    public void setTitle(String title)